<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Produto.class.php");
	require_once($dir."/classes/Cliente.class.php");
	require_once($dir."/classes/Vendedor.class.php");
	
	//é mais uma classe do relatório de vendas
	class Vendas {
		
		private $codAG;
		private $descricaoAG;
		private $codMO;
		private $descricaoMO;
		private $qtdeVenda;
		private $valorVenda;
		private $qtdeBonif;
		private $valorBonif;
		private $produto;
		private $vendedor;
		private $cliente;
		private $data;

		public function __construct() {
			$this->setCodAG("");
			$this->setDescricaoAG("");
			$this->setCodMO("");
			$this->setDescricaoMO("");
			$this->setQtdeVenda(0);
			$this->setValorVenda(0);
			$this->setQtdeBonif(0);
			$this->setValorBonif(0);
			$this->setData();
			$this->setProduto(new Produto());
			$this->setVendedor(new Vendedor());
			$this->setCliente(new Cliente());
		}
		
		public function getCodAG(){
			return $this->codAG;
		}

		public function setCodAG($codAG){
			$this->codAG = $codAG;
		}

		public function getDescricaoAG(){
			return $this->descricaoAG;
		}

		public function setDescricaoAG($descricaoAG){
			$this->descricaoAG = $descricaoAG;
		}

		public function getCodMO(){
			return $this->codMO;
		}

		public function setCodMO($codMO){
			$this->codMO = $codMO;
		}

		public function getDescricaoMO(){
			return $this->descricaoMO;
		}

		public function setDescricaoMO($descricaoMO){
			$this->descricaoMO = $descricaoMO;
		}

		public function getQtdeVenda(){
			return $this->qtdeVenda;
		}

		public function setQtdeVenda($qtdeVenda){
			$this->qtdeVenda = $qtdeVenda;
		}

		public function getValorVenda(){
			return $this->valorVenda;
		}

		public function setValorVenda($valorVenda){
			$this->valorVenda = $valorVenda;
		}

		public function getQtdeBonif(){
			return $this->qtdeBonif;
		}

		public function setQtdeBonif($qtdeBonif){
			$this->qtdeBonif = $qtdeBonif;
		}

		public function getValorBonif(){
			return $this->valorBonif;
		}

		public function setValorBonif($valorBonif){
			$this->valorBonif = $valorBonif;
		}

		public function getProduto(){
			return $this->produto;
		}

		public function setProduto($produto){
			$this->produto = $produto;
		}

		public function getVendedor(){
			return $this->vendedor;
		}

		public function setVendedor($vendedor){
			$this->vendedor = $vendedor;
		}

		public function getData(){
			return $this->data;
		}

		public function setData($data){
			$this->data = $data;
		}
		
		public function getCliente(){
			return $this->cliente;
		}

		public function setCliente($cliente){
			$this->cliente = $cliente;
		}

	}
	
?>